package com.liquidnet.service.goblin.service.manage;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinMixDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinMixManageListVo;

/**
 * <p>
 * 商城-搭售活动 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-06-30
 */
public interface IGoblinMixService {

    ResponseDto<GoblinMixManageListVo> mixList(String mixName, Integer status, String st, String et);

    ResponseDto<GoblinMixDetailsVo> mixDetails(String mixId);

    ResponseDto<Boolean> mixInsert();

    ResponseDto<Boolean> mixUpdate();

    ResponseDto<Boolean> mixLine(String mixId, Integer status);
}
